Retrieves the equipment_brand object with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
equipment_brand| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| name |
Name of the equipment brand |
string |
Required Max length: 50 |
| code |
The Id/Ref of the back office. Used by Embedded entity |
string |
Max length: 50 |
| sales_organization_id |
FK of sales_organization. Filled if specific of one SO, empty if can be used by all |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating company_type |
string | |
| sales_organization |
Embedded entity "sales_organization" when adding/updating company_type |
sales_organization | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
Sample:
{
"id": "5f978f17-c72d-47cf-922a-142152945b0e",
"name": "sample string 2",
"code": "sample string 3",
"sales_organization_id": "53b90599-b661-45d4-8625-3b9751dda09c",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "c07f015d-c3e7-4d92-8d79-9bfcd55bc40e",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "0fab7ef1-e17e-4abe-8de0-3f4975477ebb",
"db_currency_id": "46c18692-d6aa-48ec-8d81-24ced13cff46",
"db_language_id": "09a5d98b-b958-4489-8c98-f45ac40e6172",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-06-17T01:56:07.3577532+00:00"
},
"modified_dateutc": "2026-06-17T01:56:07.3577532+00:00"
}